Bug 161782 - [PATCH] emulators/dosbox: Fix build with gcc46
Summary: [PATCH] emulators/dosbox: Fix build with gcc46
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pawel Pekala
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-18 22:00 UTC by Chris
Modified: 2011-10-21 17:10 UTC (History)
0 users

See Also:


Attachments
patch.dosbox (1.05 KB, text/plain)
2011-10-18 22:00 UTC, Chris
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chris 2011-10-18 22:00:18 UTC
	This port fails to build with USE_GCC=4.6

Fix: Patch attached with submission.
Comment 1 Edwin Groothuis freebsd_committer 2011-10-18 22:00:26 UTC
Maintainer of emulators/dosbox,

Please note that PR ports/161782 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/161782

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2011-10-18 22:00:29 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Tom Carrick 2011-10-18 22:31:58 UTC
Will this also work for GCC 4.7 and etc., assuming it already fails to
compile on 4.7 as is?

Also have you tested that this doesn't break it for other versions of
GCC? Not that I see how it would.

--
Tom
Comment 4 Chris 2011-10-19 00:47:58 UTC
Hello,

The patch has been tested against the system gcc (4.2.2) and gcc 4.6.1 in the ports. (The official 4.6.1 release, not the weekly snapshot.)
If it helps you sleep better, it does work against this week's snapshot of gcc 4.7 but I'm not making any promise about next week,
let alone when 4.7 is released.

Regards,

-- 
Christian Mangin <cmangin@arobas.net>
Comment 5 Tom Carrick 2011-10-19 16:13:39 UTC
Well it doesn't seem to break anything for either of us so I approve.

--
Tom
Comment 6 Mark Linimon freebsd_committer freebsd_triage 2011-10-20 01:36:15 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 7 Pawel Pekala freebsd_committer 2011-10-21 16:26:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pawel

I'll take it.
Comment 8 dfilter service freebsd_committer 2011-10-21 17:02:44 UTC
pawel       2011-10-21 16:02:31 UTC

  FreeBSD ports repository

  Modified files:
    emulators/dosbox     Makefile 
  Added files:
    emulators/dosbox/files patch-include-dos_inc.h 
                           patch-include-setup.h 
  Log:
  Fix build with gcc 4.6
  
  PR:             ports/161782
  Submitted by:   Christian Mangin <cmangin@arobas.net>
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.27      +1 -0      ports/emulators/dosbox/Makefile
  1.3       +11 -0     ports/emulators/dosbox/files/patch-include-dos_inc.h (new)
  1.1       +11 -0     ports/emulators/dosbox/files/patch-include-setup.h (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 Pawel Pekala freebsd_committer 2011-10-21 17:10:30 UTC
State Changed
From-To: open->closed

Committed. Thanks!